%define oname zen

%define major 0
%define libname	%mklibname %{oname} %{major}
%define devname %mklibname %{oname} -d

Name:		libzen
Version:	0.4.29
Release:	%mkrel 2
Summary:	Shared library for mediainfo
Group:		System/Libraries
License:	BSD
URL:		http://zenlib.sourceforge.net/
Source0:	http://downloads.sourceforge.net/zenlib/%{name}_%{version}.tar.bz2
Patch0:		libzen_0.4.20-fix-build.patch
BuildRequires:	dos2unix
BuildRequires:	doxygen

%description
Shared library for libmediainfo and mediainfo-gui.

%package -n %{libname}
Summary:	Shared library for mediainfo
Group:		System/Libraries
Provides:	libzen
Provides:	zenlib

%description -n %{libname}
Shared library for libmediainfo and mediainfo-gui.

%package -n %{devname}
Summary:	Include files and libraries for development
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	zenlib-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Include files and mandatory libraries for development.

%prep
%setup -q -n ZenLib
%patch0 -p0

#fix EOLs and rights
dos2unix *.txt Source/Doc/*.html
chmod 644 *.txt Source/Doc/*.html

%build
pushd Project/GNU/Library
	autoreconf -vfi
	%configure2_5x \
		--enable-shared \
		--disable-static
	%make
popd

# generate docs
pushd Source/Doc
        doxygen -u 2> /dev/null
        doxygen Doxyfile
popd

%install
rm -rf %{buildroot}
pushd Project/GNU/Library
	%makeinstall_std
popd

# Zenlib headers and ZenLib-config
install -dm 755 %{buildroot}%{_includedir}/ZenLib
install -m 644 Source/ZenLib/*.h %{buildroot}%{_includedir}/ZenLib

for i in HTTP_Client Format/Html Format/Http; do
	install -dm 755 %{buildroot}%{_includedir}/ZenLib/$i
	install -m 644 Source/ZenLib/$i/*.h %{buildroot}%{_includedir}/ZenLib/$i
done

#fix and install pkgconfig file
sed -i -e 's|Version: |Version: %{version}|g' Project/GNU/Library/libzen.pc
sed -i -e '/Libs_Static.*/d' Project/GNU/Library/libzen.pc

install -dm 755 %{buildroot}%{_libdir}/pkgconfig
install -m 644 Project/GNU/Library/libzen.pc %{buildroot}%{_libdir}/pkgconfig

#we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_bindir}

%files -n %{libname}
%doc *.txt
%{_libdir}/libzen.so.%{major}*

%files -n %{devname}
%doc Source/Doc/Documentation.html
%doc Doc/*
%{_includedir}/ZenLib
%{_libdir}/libzen.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4.29-2.mga4
+ Revision: 523921
- Mageia 4 Mass Rebuild

* Sun May 26 2013 wally <wally> 0.4.29-1.mga4
+ Revision: 428232
- new version 0.4.29

* Sat Feb 16 2013 dlucio <dlucio> 0.4.28-3.mga3
+ Revision: 398734
- libzen/zenlib provides

* Sat Jan 12 2013 umeabot <umeabot> 0.4.28-2.mga3
+ Revision: 358743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 wally <wally> 0.4.28-1.mga3
+ Revision: 280531
- new version 0.4.28

* Sat Jun 02 2012 wally <wally> 0.4.27-1.mga3
+ Revision: 253432
- new version 0.4.27

* Tue May 29 2012 luigiwalser <luigiwalser> 0.4.26-1.mga3
+ Revision: 248849
- 0.4.26

* Wed Feb 01 2012 wally <wally> 0.4.24-1.mga2
+ Revision: 203958
- new version 0.4.24

* Fri Nov 11 2011 wally <wally> 0.4.23-1.mga2
+ Revision: 166737
- new version 0.4.23

* Tue Sep 27 2011 wally <wally> 0.4.22-1.mga2
+ Revision: 149622
- new version 0.4.22
- new version 0.4.21

* Sun Jun 19 2011 wally <wally> 0.4.20-1.mga2
+ Revision: 109959
- imported package libzen


* Sat Jun 18 2011 Jani Välimaa <wally@mandriva.org> 0.4.20-1mdv2011.0
+ Revision: 685911
- new version 0.4.20

* Sun May 01 2011 Jani Välimaa <wally@mandriva.org> 0.4.19-2
+ Revision: 661379
- add more header files to -devel package

* Sun May 01 2011 Jani Välimaa <wally@mandriva.org> 0.4.19-1
+ Revision: 661356
- import libzen

